var Table = $('#table_gestion_administrador').DataTable({
    "language": {
        "sProcessing":     "Procesando...",
        "sLengthMenu":     "Mostrar _MENU_ registros",
        "sZeroRecords":    "No se encontraron resultados",
        "sEmptyTable":     "No existen registros de Recuperación",
        "sInfo":           "Mostrando registros del _START_ al _END_ de un total de _TOTAL_ registros",
        "sInfoEmpty":      "Mostrando registros del 0 al 0 de un total de 0 registros",
        "sInfoFiltered":   "(filtrado de un total de _MAX_ registros)",
        "sInfoPostFix":    "",
        "sSearch":         "Buscar:",
        "sUrl":            "",
        "sInfoThousands":  ",",
        "sLoadingRecords": "Cargando...",
        "oPaginate": {
            "sFirst":    "Primero",
            "sLast":     "Último",
            "sNext":     "Siguiente",
            "sPrevious": "Anterior"
        },
        "oAria": {
            "sSortAscending":  ": Activar para ordenar la columna de manera ascendente",
            "sSortDescending": ": Activar para ordenar la columna de manera descendente"
        }
    },
    processing: false,
    serverSide: true,
    destroy: true,
    responsive:true,
    "autoWidth": true,
    ajax:{
        method: 'POST',
        url: urlData,
        data: function(d){
            d.t = 1;
        },
        error: function(error){
        }
    },
    columns:[
        {
            data:'id_asistencia_profesor',
            name:'id_asistencia_profesor',
            "searchable": true,
            render: function (data,type,row) {
                if(row.id_asistencia_profesor != '' && row.id_horario == ''){
                    return '<td>Recuperacion</td>';
                }
                else{
                    return '<td>Reprogramacion</td>';
                }
            }
        },
        {
            data:'estado',
            name:'estado',
            "searchable": true,
            render: function (data,type,row) {
                switch (data)
                {
                    case '':
                        return '<td>Inhabilitada</td>';
                        break;
                    case '1':
                        return '<td>Aceptada</td>';
                        break;
                    case '0':
                        return '<td>Denegada</td>';
                        break;
                    case '2':
                        return '<td>Pendiente</td>';
                        break;
                }
            }
        },
        {
            data:'aula',
            name:'aula',
            "searchable": true,
            render: function (data,type,row) {
                if(data == ''){
                    return '<td>No asignada</td>';
                }
                else{
                    return data;
                }
            }
        },
        {
            data:'fecha_asignada',
            name:'fecha_asignada',
            "searchable": false,
            render: function(data,type,row){
                if(data == '')
                    return 'No asignada';
                else{
                    var d = new Date(data);
                    var str = ((d.getDate() + 1) + '-' + (d.getMonth() + 1) + '-' +  d.getFullYear());
                    return str;
                }
            }
        },
        {
            data:'id_secc',
            name:'id_secc',
            "searchable": true,
            render: function(data,type,row){
                return '<td><button class="vmas btn btn-primary waves-effect waves-light m-t-10 detalle_profesor"' +
                    'data-detalleprofesor="'+data+'"><i class="icon-pencil"></i></button></td>';
            }
        },
        {
            data:'id',
            name:'id',
            "searchable": true,
            render: function(data,type,row){
                return '<td><button class="vmas btn btn-primary waves-effect waves-light m-t-10 detalle_repro_recu"' +
                    'data-detallereprorecu="'+data+'"><i class="icon-pencil"></i></button></td>';
            }
        },
        {
            data:'id',
            name:'id',
            "searchable": false,
            render: function(data,type,row){
                var t = 0;
                if(row.id_asistencia_profesor != '' && row.id_horario == '')
                    t = 1;
                else
                    t = 0;
                return '<td>'
                    + '<button class="btn btn-outline btn-circle btn-sm green-dark evaluacion_procede" data-id="'+data+'" data-tipo="procede"' +
                    ' data-modo="'+t+'"><i class="fa fa-check"></i> </button>'
                    + '<button class="btn btn-outline btn-circle btn-sm red evaluacion_noprocede" data-id="'+data+'" data-tipo="noprocede" ' +
                    'data-modo="'+t+'"><i class="fa fa-close"></i> </button>'
                    + '</td>'
            }
        }
    ],
    'createdRow': function(row, data, index){
        if(data['estado'] == ""){
            $('td', row).eq(1).addClass('In');
        } else if(data['estado'] == "1"){
            $('td', row).eq(1).addClass('Ac');
        } else if(data['estado'] == "0"){
            $('td', row).eq(1).addClass('De');
        } else{
            $('td', row).eq(1).addClass('Pe');
        }

        if(data['id_asistencia_profesor'] == ''){
            $('td', row).eq(0).addClass('repro');
        }else{
            $('td', row).eq(0).addClass('recu');
        }

        if(data['fecha_solicitada'] == ''){
            $('td', row).eq(8).addClass('De');
        }

        if(data['fecha_asignada'] == '')
            $('td', row).eq(3).addClass('Pe');
        else
            $('td', row).eq(3).addClass('repro');


        if(data['aula'] == '')
            $('td', row).eq(2).addClass('Pe');
        else
            $('td', row).eq(2).addClass('repro');


    },
    "pageLength": 15,
    "bInfo": false,
    "bLengthChange": true,
    "ordering": false
});


$('#table_gestion_administrador').on('click','.detalle_profesor', function () {
    var aux = $(this);
    var id = aux.data('detalleprofesor');
    aux.prop('disabled', true);
    aux.blur();
    $.ajax({
        url: urlBase + "/detalleprofesor",
        type: 'POST',
        data: {id: id},
        cache: false,
        success: function (result) {
            $('.modal-content').html(result);
            $('#formulario').modal({
                show: true
            });
        },
        complete: function () {
            aux.removeAttr("disabled");
            aux.prop('disabled', false);
        }
    });
    return false;
});


$('#table_gestion_administrador').on('click','.detalle_repro_recu', function () {
    var aux = $(this);
    var id = aux.data('detallereprorecu');
    aux.prop('disabled', true);
    aux.blur();
    $.ajax({
        url: urlBase + "/detallereprorecu",
        type: 'POST',
        data: {id: id},
        cache: false,
        success: function (result) {
            $('.modal-content').html(result);
            $('#formulario').modal({
                show: true
            });
        },
        complete: function () {
            aux.removeAttr("disabled");
            aux.prop('disabled', false);
        }
    });
    return false;
});



function tableRefresh() {
    Table.draw();
}

$('#table_gestion_administrador').on("click", ".evaluacion_procede", function() {
    var button = $(this);
    var id = button.data('id');
    var type = button.data('tipo');
    var modo = button.data('modo');
    $.ajax({
        type: 'POST',
        url: urlForm,
        data: {
            ep : id,
            dato : modo,
            tipo : type
        },
        success: function (result) {
            $('.modal-content').html(result);
            $('#formulario').modal({
                show: true
            });
        },
        complete: function (result) {
        },
        error: function(error){
        }
    });


});

$('#table_gestion_administrador').on("click", ".evaluacion_noprocede", function() {
    var button = $(this);
    var id = button.data('id');
    var type = button.data('tipo');
    var modo = button.data('modo');
    $.ajax({
        type: 'POST',
        url: urlForm,
        data: {
            ep : id,
            dato : modo,
            tipo : type
        },
        success: function (result) {
            if(result == 200){
                tableRefresh();
                swal("Proceso concluído", "Se denego la reprogramación del docente", "success");
            }
            else
                swal("Advertencia", "Ocurrio un error de conexión durante la negación de la reprogramación", "warning");

        },
        cache: false,
        complete: function (result) {
        },
        error: function(error){
        }
    });
});

